
/**
 * Title:        StanfordMaxEnt<p>
 * Description:  A Maximum Entropy Toolkit<p>
 * Copyright:    Copyright (c) Kristina Toutanova<p>
 * Company:      Stanford University<p>
 * @author Kristina Toutanova
 * @version 1.0
 */


package edu.stanford.nlp.tagger.maxent;

class ExtractorFollowingNN extends Extractor {
  static Extractor nextWord = new Extractor(1, false);
  static String thatWord = "that";
  static String nnTag = "NN";
  static String nnsTag = "NNS";
  static String nnpTag = "NNP";
  static String nnpsTag = "NNPS";

  public ExtractorFollowingNN() {
  }

  public boolean Precondition(String tag) {
    return true;
  }


  String extract(History h) {
    // should extract last verbal word and also the current word
    String cword = ExtractorFrames.cWord.extract(h);
    String nWord = nextWord.extract(h);
    if (!cword.equals(thatWord)) {
      return "0";
    }

    if (nWord.startsWith("NA")) {
      return "0";
    }

    if (isNSCount(nWord)) {
      //System.out.println(" part taking");
      return ("1");
    }
    return ("0");


  }

  public static boolean isNSCount(String word) {
    //System.out.println(verb);
    // if(GlobalHolder.dict.getCount(word,nnsTag)>0) return false;
    // if(GlobalHolder.dict.getCount(word,nnpTag)>0) return false;
    //if(GlobalHolder.dict.getCount(word,nnpsTag)>0) return false;
    if (GlobalHolder.dict.getCount(word, nnTag) > 0) {
      String word1 = TestSentence.toNice(word) + "s";
      if (GlobalHolder.dict.getCount(word1, nnsTag) > 0) {
        return true;
      }
    }
    return false;
  }

}


