/**
 * Title:        StanfordMaxEnt<p>
 * Description:  A Maximum Entropy Toolkit<p>
 * Copyright:    Copyright (c) Kristina Toutanova<p>
 * Company:      Stanford University<p>
 * @author Kristina Toutanova
 * @version 1.0
 */
package edu.stanford.nlp.tagger.maxent;

public class ExtractorFollowingWClass extends Extractor {

  Extractor nextXWord;
  int num;

  public boolean Precondition(String tag) {
    return true;
  }


  String extract(History h) {
    // should extract last verbal word and also the current word
    String nWord = nextXWord.extract(h);
    int classId = GlobalHolder.dict.getAmbClass(nWord);
    //System.out.println(nWord);
    //GlobalHolder.ambClasses.get(classId).print();
    return Integer.toString(classId);
  }

  public ExtractorFollowingWClass(int num) {
    this.num = num;
    nextXWord = new Extractor(num, false);
  }

}
