/**
 * Title:        StanfordMaxEnt<p>
 * Description:  A Maximum Entropy Toolkit<p>
 * Copyright:    Copyright (c) Kristina Toutanova<p>
 * Company:      Stanford University<p>
 * @author Kristina Toutanova
 * @version 1.0
 */


package edu.stanford.nlp.tagger.maxent;


public class ExtractorLVdist extends Extractor {
  static int bound = 5;


  String extract(History h) {
    // should extract last verbal word and also the current word
    String cword = ExtractorFrames.cWord.extract(h);
    String lastverb = extractLV(h, bound);
    return lastverb;
  }


  static String extractLV(History h, int bound) {
    // should extract last verbal word and also the current word
    int start = h.start;
    String lastverb = "NA";
    int current = h.current;
    int index = current - 1;
    while ((index >= start) && (index >= current - bound)) {
      String tag = GlobalHolder.pairs.get(index, true);
      if (tag.startsWith("VB")) {
        lastverb = GlobalHolder.pairs.get(index, false) + "#" + (current - index);
        break;
      }
      if (tag.startsWith(",")) {
        break;
      }
      index--;
    }
    return lastverb;

  }

  public ExtractorLVdist() {
  }
} 
