/**
 * Title:        StanfordMaxEnt<p>
 * Description:  A Maximum Entropy Toolkit<p>
 * Copyright:    Copyright (c) Kristina Toutanova<p>
 * Company:      Stanford University<p>
 * @author Kristina Toutanova
 * @version 1.0
 */


package edu.stanford.nlp.tagger.maxent;


public class ExtractorOutputTag extends Extractor {
  static String naTag = "NA";
  int num;
  int position;

  public ExtractorOutputTag(int num, int position) {
    this.num = num;
    this.position = position;
  }

  public boolean Precondition(String tag) {
    return true;
  }

  String extract(History h) {
    // should extract last verbal word and also the current word
    int pos = h.current + position;
    if ((pos < h.start) || (pos > h.end)) {
      return naTag;
    }
    String tag = GlobalHolder.collectionTaggers.getTag(num, pos);
    return tag;

  }

}
