/**
 * This is an array of max 3 tags with probabilities for them, that the taggers have output.
 */


package edu.stanford.nlp.tagger.maxent;

import java.util.StringTokenizer;

public class OutputTags {
  static int maxTags = 3;
  int numTags;
  int[] tags = new int[maxTags];
  double[] probabilities = new double[maxTags];

  public OutputTags() {
  }

  public OutputTags(String in, boolean probs) {
    // make an instance from the current position in the file to the end of the line
    // there might be one or more tags there together with probabilities for them
    // format as follows : tag1 \sp p1 \sp tag2 \sp p2 tag3 \sp p3
    // skip the first thing - the word
    try {
      String s = in;
      StringTokenizer st = new StringTokenizer(s);
      while (st.hasMoreTokens()) {
        String tag = st.nextToken();
        numTags++;
        tags[numTags - 1] = GlobalHolder.tags.getIndex(tag);
        System.out.println(tags[numTags - 1]);
        if (probs) {
          double p = (new Double(st.nextToken())).doubleValue();
          probabilities[numTags - 1] = p;
        }
      }// while
    } catch (Exception e) {
      e.printStackTrace();

    }
  }


  public String getTag() {
    return (GlobalHolder.tags.getTag(tags[0]));
  }


}
